/* hold.sqf
;; adds points for holding flags.
;; accelerated scoring:
;; 2 points after 5 minutes,
;; 3 points after 15 minutes.

;; receive parameters, passed from capture.sqs.
*/
_flag = _this select 0;
_side = _this select 1;
_value = -1;
_Increment = -1;

_LoopTime = 10;
_Divisor = (60/_LoopTime);
_Tier2 = 30;
_Tier3 = 90;

// number of minutes held, for accelerated scoring.
_count = 0;

// determine appropriate flagstat value for this side.
switch (_side) do 
{
	case WEST: 
	{
		_value = 1;
	};
	case EAST: 
	{
		_value = 2;
	};
	case Resistance: 
	{
		_value = 3;
	};

};
_stat = _value;
/* this loop waits 60 seconds,
;; checks for end of game,
;; checks for flag ownership,
;; goes to scoring section if checks are passed.
*/
_p = 0;
while {!TimeUp AND _stat == _value} do
{
	_i = 0;
	while {_i < _LoopTime AND !TimeUp AND _stat == _value} do
	{
		switch (_flag) do 
		{
			case flag1: 
			{
				_stat = flag1stat; 
			};
			case flag2: 
			{
				_stat = flag2stat; 
			};
			case flag3: 
			{
				_stat = flag3stat; 
			};
		};
		_i = _i + 1;
		sleep 1;
	};	//End of Wait for Loop Time Value
	if (_stat != _value) exitwith {};
	if (TimeUp) exitwith {};
	_count = _count + 1;
	if (_count >= _Tier3 AND ExtraPoints) then
	{
		_Increment = (Tier3Increment/_Divisor);
	}
	else
	{
		if (_count >= _Tier2 AND ExtraPoints) then
		{
			_Increment = (Tier2Increment/_Divisor);
		}
		else
		{
			_Increment = (Tier1Increment/_Divisor);	
		};	
	};	//End of Point Tier Determination
	switch (_side) do 
	{
		case WEST: 
		{
			WestScore = WestScore + _Increment; 
			PublicVariable "WestScore";
		};
		case EAST: 
		{
			EastScore = EastScore + _Increment; 
			PublicVariable "EastScore";
		};
		case Resistance: 
		{
			ResScore = ResScore + _Increment; 
			PublicVariable "ResScore";
		};

	};	//End of Point Increment
	_P = _P + 1;
	if (_P >= _Divisor) then
	{
		ShowScore = true; 
		publicVariable "ShowScore";
		_P = 0;
	};
};	//End of Flag Hold Loop
