//ManagePlayer.sqf
//This script handles various client side issues dealing with the player's life cycle
//Features Include: Custom Kit based on Player Class, Wave Based Respawn, and some player init stuff
//	[] execVM "ManagePlayer.sqf";
//
//Written by Strango

LadderAnimations = ["laddercivilstatic","ladderciviluploop","laddercivildownloop"];

if ( (!(isServer)) && (player != player) ) then
{
  waitUntil {player == player};
  waitUntil {Alive player};
};

_class = typeOf player;
player addRating 1000000;
Player addEventHandler ["killed",{_this execVM "StrCH\removeDead.sqf"}];
_man = player;
sleep 1;

//Handle Custom Load-Out of Player based on class
_loadoutClass = player getVariable "LoadoutClassType";
if (!isNil "_loadoutClass") then
{	
	_class = _loadoutClass;
};

_Loadouts = compile preprocessFile "StrCH\Loadouts.sqf";
[_class,_man] call _Loadouts;

_weapArray = weapons player;
_magArray = magazines player;
_primary = primaryweapon player;

//Handle Respawn Cycle of Player
while {true} do
{
	waituntil {!Alive Player};
	waituntil {Alive Player};
	removeAllWeapons player;
	hint "Wait on this island until the next respawn wave when you will be put back into the AO";
	_MyWave = NextWave;
	while {TimeLocal <= _MyWave} do
	{
		if (TimeUp) then
		{
			sleep 180;
		};
		_TimeLeft = floor(_MyWave-TimeLocal);
		Titletext [format["Next Wave in %1 seconds",_TimeLeft],"PLAIN DOWN"];
		sleep 1;
	};
	titleText ["","PLAIN DOWN"];
	hint " ";
	if ((animationState player) in LadderAnimations) then
	{
		hint "You must get off the ladder before being put back into the AO";
		waituntil {not((animationState player) in LadderAnimations) };
	};
	hint " ";
	_RandX = (random 20) - 10;
	_RandY = (random 20) - 10;
	player addRating 10000;
	switch (side Player) do
	{
		case West:
    		{	
			player setpos [(getmarkerpos "start_w" select 0)+_RandX,(getmarkerpos "start_w" select 1)+_RandY,0];
		};
		case East:
    		{	
			player setpos [(getmarkerpos "start_e" select 0)+_RandX,(getmarkerpos "start_e" select 1)+_RandY,0];
		};
		case Resistance:
    		{	
			player setpos [(getmarkerpos "start_r" select 0)+_RandX,(getmarkerpos "start_r" select 1)+_RandY,0];
		};
	};
	removeAllWeapons player;
	{player addMagazine _x} forEach _magArray;
	{player addWeapon _x} forEach _weapArray;
	player selectWeapon _primary;
};





